	// verilator_coverage annotation
	// generated by verigenSV.pl on Fri Jun  4 12:21:08 2021
	// input file: camt8d32.cfg
	
	// compiler directives
	/* verilator lint_off CASEINCOMPLETE */
	/* verilator lint_off DECLFILENAME */
	/* verilator lint_off UNUSED */
	/* verilator lint_off STMTDLY */
	/* verilator lint_off UNOPTFLAT */
	
	
	module CAMT8D32 (
 000200		input logic clk,
%000003		input logic res_n,
%000003		input logic lock,
%000005		input logic unlock,
%000039		input logic [CAM_KEY_WIDTH-1:0] key,
 000054		input logic wr,
 000199		input logic [CAM_WIDTH-1:0] din,
 000037		input logic rd,
 000027		output logic dout_val, 
%000021		output logic [CAM_WIDTH-1:0] dout, 
%000005		output logic locked );
	
	  //
	 // parameter constants 
	//---------------------------
	parameter int CAM_SIZE = 16;
	parameter int CAM_WIDTH = 40;
	parameter int CAM_TAG_WIDTH = 8;
	parameter int CAM_KEY_WIDTH = 16;
	parameter logic [CAM_KEY_WIDTH-1:0] KEY = 16'hBABE;
	parameter logic [CAM_WIDTH-1:0] ZERO_DATA = {CAM_WIDTH{1'b0}};
	
	
	  //
	 // state encoding typedef 
	//--------------------------------
	typedef enum logic [0:0] {
		LOCKED = 1'b1,
		UNLOCKED = 1'b0
	} states_t;
	
	
	// internal state variables
%000004	states_t STATE, NEXT_STATE;
%000004	verilator_coverage: (next point on previous line)

	
	  //
	 // memory instantiations 
	//---------------------------
 000028	uwire T8D32_CAM_hit;
	CAM #( CAM_WIDTH, CAM_SIZE, CAM_TAG_WIDTH ) T8D32_CAM(
		.clk(clk), .res_n(res_n), 
		.wr(T8D32_CAM_wr), .wr_data(T8D32_CAM_wr_data[CAM_WIDTH-1:0]), 
		.rd(T8D32_CAM_rd), .rd_data(T8D32_CAM_rd_data[CAM_WIDTH-1:0]), 
		.hit(T8D32_CAM_hit) );
	
	   //
	  // implicit continuous assignments 
	 // (derived from <expressions> section) 
	//----------------------------------
%000008	uwire DO_IDLE; assign DO_IDLE = !lock & !unlock;
%000002	uwire DO_LOCK ; assign DO_LOCK  =  lock & !unlock ;
 000038	uwire DO_READ_CAM; assign DO_READ_CAM = (UNLOCKED==STATE) & rd & !wr;
%000005	uwire DO_UNLOCK; assign DO_UNLOCK = !lock &  unlock & IS_KEY_MATCH ;
 000021	uwire DO_WRITE_CAM; assign DO_WRITE_CAM = (UNLOCKED==STATE) & wr & !rd;
%000003	uwire IS_KEY_MATCH; assign IS_KEY_MATCH = (KEY==key);
	
	  //
	 // initials for simulator
	//---------------------------
%000002	initial begin
%000001	  STATE = LOCKED;
%000001	  T8D32_CAM_wr = 1'b0;
%000001	  T8D32_CAM_rd = 1'b0;
%000001	  T8D32_CAM_wr_data[CAM_WIDTH-1:0] = {CAM_WIDTH{1'b0}};
	
	  // dump output (Verilator)
%000002	  if ($test$plusargs("trace") != 0) begin
%000000	  verilator_coverage: (next point on previous line)

%000001	    $display("[%0t] Tracing to logs/vlt_dump.vcd...\n", $time);
%000001	    $dumpfile("logs/vlt_dump.vcd");
%000001	    $dumpvars();
	  end
%000001	  $display("[%0t] Model running...\n", $time);
	
	end
	
	  //
	 // state transfer
	//---------------------------
 000200	always_ff @( posedge clk ) begin
 000194	  if( res_n )
%000003	  verilator_coverage: (next point on previous line)

 000097	    STATE <= NEXT_STATE;
	  else
%000003	    STATE <= LOCKED;
	
	  // condition for $finish (Verilator)
%000002	  if( lock==1'b1 && unlock==1'b1 && rd==1'b1 && wr==1'b1 && res_n==1'b0 ) begin
 000099	  verilator_coverage: (next point on previous line)

%000001	    $write("*-* All Finished *-*\n");
%000001	    $finish;
	  end   
	
	end
	
	// AssertionExample:
	//always_ff @ (posedge clk) begin
	//   AssertionExample: assert (rd==1'b1 ^ wr==1'b1);
	//end
	
	// coverage analysis (Verilator)
	// cover property ( @(posedge clk) rd_q0==1'b1 && rd_q1==1'b1 && res_n==1'b0 );
	
 000458	always_comb begin
	
	    //
	   // pre-case (default) assignments 
	  //----------------------------------
 000229	  dout = ZERO_DATA;
 000229	  dout_val = 1'b0;
 000229	  locked = STATE;
 000229	  NOP_T8D32_CAM();
	
 000229	  unique case ( STATE )
 000154	  LOCKED : begin
%000004		if ( DO_UNLOCK ) begin
 000075		verilator_coverage: (next point on previous line)

%000002		  NEXT_STATE = UNLOCKED;
		end
 000150		if ( !DO_UNLOCK ) begin
%000002		verilator_coverage: (next point on previous line)

 000075		  NEXT_STATE = LOCKED;
		end
	  end // LOCKED
 000304	  UNLOCKED : begin
 000294		if ( DO_IDLE ) begin
%000005		verilator_coverage: (next point on previous line)

 000147		  NEXT_STATE = UNLOCKED;
 000147		  PUSH_T8D32_CAM(DO_WRITE_CAM,din);
 000147		  dout = POP_T8D32_CAM(DO_READ_CAM,din);
 000147		  dout_val=T8D32_CAM_hit;
		end
%000002		if ( DO_LOCK ) begin
 000151		verilator_coverage: (next point on previous line)

%000001		  NEXT_STATE = LOCKED;
		end
	  end // UNLOCKED
	  endcase
	end // always_comb
	
	
	  //
	 // memory functions
	//---------------------------
 000038	logic T8D32_CAM_rd;
 000560	logic [CAM_WIDTH-1:0] T8D32_CAM_rd_data;
	
 000294	function automatic [CAM_WIDTH-1:0] POP_T8D32_CAM( read, [CAM_WIDTH-1:0] read_data );
 000147	   T8D32_CAM_rd = read;
 000147	   T8D32_CAM_wr_data = read_data;
 000147	   return T8D32_CAM_rd_data;
	endfunction
	
 000021	logic T8D32_CAM_wr;
 000223	logic [CAM_WIDTH-1:0] T8D32_CAM_wr_data;
	
 000294	function automatic void PUSH_T8D32_CAM( write, [CAM_WIDTH-1:0] write_data );
 000147	   T8D32_CAM_wr = write;
 000147	   T8D32_CAM_wr_data = write_data;
	endfunction
	
 000458	function automatic void NOP_T8D32_CAM();
 000229	   T8D32_CAM_rd = 1'b0;
 000229	   T8D32_CAM_wr = 1'b0;
 000229	   T8D32_CAM_wr_data = '0;
 000229	   T8D32_CAM_rd_data = '0;
	endfunction
	
	endmodule
	
	
	  //
	 // memory
	//---------------------------
	module CAM ( clk, res_n, wr, wr_data, rd, rd_data, hit );
	
	parameter DATA_WIDTH = 32;
	parameter NUM_ENTRIES = 16;
	parameter TAG_WIDTH = 8;
	
 000200	input  logic clk, res_n, rd, wr;
%000003	verilator_coverage: (next point on previous line)

 000038	verilator_coverage: (next point on previous line)

 000021	verilator_coverage: (next point on previous line)

 000223	input  logic [DATA_WIDTH-1:0] wr_data;
 000560	output logic [DATA_WIDTH-1:0] rd_data;
 000028	output logic hit;
	    
	localparam integer ADDR_WIDTH = $clog2(NUM_ENTRIES);
	localparam integer ENTRY_WIDTH = DATA_WIDTH - TAG_WIDTH;
	
	localparam [ADDR_WIDTH-1:0] ZERO_ADDR = {ADDR_WIDTH{1'b0}};
	localparam [DATA_WIDTH-1:0] ZERO_DATA = {DATA_WIDTH{1'b0}};
	
	logic [DATA_WIDTH-1:0] MEMORY [NUM_ENTRIES-1:0];
 000023	logic [ADDR_WIDTH-1:0] HEAD, HEAD_PLUS_1; 
 000022	verilator_coverage: (next point on previous line)

 000037	logic [NUM_ENTRIES-1:0] compare;
	
%000002	initial begin
%000001	    for ( int i = 0; i < NUM_ENTRIES; i = i + 1 ) begin
 000032	    verilator_coverage: (next point on previous line)

 000016	        MEMORY[ i ] = ZERO_DATA;
	    end
%000001	    HEAD = ZERO_ADDR;
	end
	
	// content addressable compare function
	assign compare = ( rd && !wr && res_n ) ? compare_fcn() : '0;
	
	// in-cycle read access
	assign rd_data = ( rd && !wr && res_n ) ? read_fcn() : ZERO_DATA;
	
	// append entries (wrap)
	assign HEAD_PLUS_1 = HEAD + 1'b1;
	
 000200	always @ ( posedge clk ) begin
	
 000194	  if( res_n ) begin
%000003	  verilator_coverage: (next point on previous line)

 000020	    if( wr && !rd ) begin // WRITE ACCESS
 000087	    verilator_coverage: (next point on previous line)

 000010	      MEMORY[HEAD] <= wr_data;
 000010	      HEAD <= HEAD_PLUS_1;
	    end
%000003	  end else begin
%000003	      HEAD <= clear_fcn();
	  end
	end
	
 000458	function automatic [NUM_ENTRIES-1:0] compare_fcn();
 007328	  for( int i=0; i<NUM_ENTRIES; i++ ) begin
 000229	  verilator_coverage: (next point on previous line)

 003664	    compare_fcn[i] = ( MEMORY[i][DATA_WIDTH-1:ENTRY_WIDTH] == wr_data[DATA_WIDTH-1:ENTRY_WIDTH] );
	  end
	endfunction
	
 000458	function automatic [DATA_WIDTH-1:0] read_fcn();
 000229	  read_fcn = ZERO_DATA;
 000229	  hit = 1'b0;
 006284	  for( int i=0; i<NUM_ENTRIES; i++ )
 000229	  verilator_coverage: (next point on previous line)

%000000	    if( 1'b1 == compare[i] ) begin
 003142	    verilator_coverage: (next point on previous line)

%000000	      read_fcn = MEMORY[i];
%000000	      hit = rd && !wr && compare[i];
%000000	      break;	
	    end
	endfunction
	
%000006	function automatic [ADDR_WIDTH-1:0] clear_fcn();
 000096	  for( int i=0; i<NUM_ENTRIES; i++ )
%000003	  verilator_coverage: (next point on previous line)

 000048	      MEMORY[ i ] <= ZERO_DATA;
%000003	  clear_fcn = ZERO_ADDR;
	endfunction
	
	endmodule
	
