// Verilated -*- C++ -*-
// DESCRIPTION: Verilator output: Design implementation internals
// See VCAMT8D32.h for the primary calling header

#include "VCAMT8D32.h"
#include "VCAMT8D32__Syms.h"

//==========

void VCAMT8D32::eval_step() {
    VL_DEBUG_IF(VL_DBG_MSGF("+++++TOP Evaluate VCAMT8D32::eval\n"); );
    VCAMT8D32__Syms* __restrict vlSymsp = this->__VlSymsp;  // Setup global symbol table
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
#ifdef VL_DEBUG
    // Debug assertions
    _eval_debug_assertions();
#endif  // VL_DEBUG
    // Initialize
    if (VL_UNLIKELY(!vlSymsp->__Vm_didInit)) _eval_initial_loop(vlSymsp);
    // Evaluate till stable
    int __VclockLoop = 0;
    QData __Vchange = 1;
    do {
        VL_DEBUG_IF(VL_DBG_MSGF("+ Clock loop\n"););
        vlSymsp->__Vm_activity = true;
        _eval(vlSymsp);
        if (VL_UNLIKELY(++__VclockLoop > 100)) {
            // About to fail, so enable debug to see what's not settling.
            // Note you must run make with OPT=-DVL_DEBUG for debug prints.
            int __Vsaved_debug = Verilated::debug();
            Verilated::debug(1);
            __Vchange = _change_request(vlSymsp);
            Verilated::debug(__Vsaved_debug);
            VL_FATAL_MT("CAMT8D32.sv", 12, "",
                "Verilated model didn't converge\n"
                "- See DIDNOTCONVERGE in the Verilator manual");
        } else {
            __Vchange = _change_request(vlSymsp);
        }
    } while (VL_UNLIKELY(__Vchange));
}

void VCAMT8D32::eval_end_step() {
    VL_DEBUG_IF(VL_DBG_MSGF("+eval_end_step VCAMT8D32::eval_end_step\n"); );
#ifdef VM_TRACE
    VCAMT8D32__Syms* __restrict vlSymsp = this->__VlSymsp;  // Setup global symbol table
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Tracing
    if (VL_UNLIKELY(vlSymsp->__Vm_dumping)) _traceDump();
#endif  // VM_TRACE
}

void VCAMT8D32::_eval_initial_loop(VCAMT8D32__Syms* __restrict vlSymsp) {
    vlSymsp->__Vm_didInit = true;
    _eval_initial(vlSymsp);
    vlSymsp->__Vm_activity = true;
    // Evaluate till stable
    int __VclockLoop = 0;
    QData __Vchange = 1;
    do {
        _eval_settle(vlSymsp);
        _eval(vlSymsp);
        if (VL_UNLIKELY(++__VclockLoop > 100)) {
            // About to fail, so enable debug to see what's not settling.
            // Note you must run make with OPT=-DVL_DEBUG for debug prints.
            int __Vsaved_debug = Verilated::debug();
            Verilated::debug(1);
            __Vchange = _change_request(vlSymsp);
            Verilated::debug(__Vsaved_debug);
            VL_FATAL_MT("CAMT8D32.sv", 12, "",
                "Verilated model didn't DC converge\n"
                "- See DIDNOTCONVERGE in the Verilator manual");
        } else {
            __Vchange = _change_request(vlSymsp);
        }
    } while (VL_UNLIKELY(__Vchange));
}

VL_INLINE_OPT void VCAMT8D32::_combo__TOP__1(VCAMT8D32__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCAMT8D32::_combo__TOP__1\n"); );
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    if (((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit) 
         ^ vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_hit)) {
        ++(vlSymsp->__Vcoverage[106]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_hit 
            = vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit;
    }
    if (((IData)(vlTOPp->clk) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__clk)) {
        ++(vlSymsp->__Vcoverage[0]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__clk = vlTOPp->clk;
    }
    if (((IData)(vlTOPp->res_n) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__res_n)) {
        ++(vlSymsp->__Vcoverage[1]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__res_n = vlTOPp->res_n;
    }
    if (((IData)(vlTOPp->lock) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__lock)) {
        ++(vlSymsp->__Vcoverage[2]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__lock = vlTOPp->lock;
    }
    if (((IData)(vlTOPp->unlock) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__unlock)) {
        ++(vlSymsp->__Vcoverage[3]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__unlock = vlTOPp->unlock;
    }
    if (((IData)(vlTOPp->wr) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__wr)) {
        ++(vlSymsp->__Vcoverage[20]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__wr = vlTOPp->wr;
    }
    if (((IData)(vlTOPp->rd) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__rd)) {
        ++(vlSymsp->__Vcoverage[61]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__rd = vlTOPp->rd;
    }
    if (((0xbabeU == (IData)(vlTOPp->key)) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__IS_KEY_MATCH)) {
        ++(vlSymsp->__Vcoverage[112]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__IS_KEY_MATCH 
            = (0xbabeU == (IData)(vlTOPp->key));
    }
    if ((1U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[4]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xfffeU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (1U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((2U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[5]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xfffdU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (2U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((4U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[6]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xfffbU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (4U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((8U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[7]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xfff7U 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (8U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x10U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[8]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xffefU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x10U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x20U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[9]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xffdfU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x20U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x40U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[10]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xffbfU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x40U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x80U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[11]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xff7fU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x80U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x100U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[12]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xfeffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x100U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x200U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[13]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xfdffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x200U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x400U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[14]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xfbffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x400U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x800U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[15]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xf7ffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x800U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x1000U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[16]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xefffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x1000U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x2000U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[17]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xdfffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x2000U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x4000U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[18]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0xbfffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x4000U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((0x8000U & ((IData)(vlTOPp->key) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__key))) {
        ++(vlSymsp->__Vcoverage[19]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__key = ((0x7fffU 
                                                  & (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__key)) 
                                                 | (0x8000U 
                                                    & (IData)(vlTOPp->key)));
    }
    if ((1U & ((IData)(vlTOPp->din) ^ (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__din)))) {
        ++(vlSymsp->__Vcoverage[21]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffffffeULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | (IData)((IData)(
                                                                   (1U 
                                                                    & (IData)(vlTOPp->din)))));
    }
    if ((1U & ((IData)((vlTOPp->din >> 1U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 1U))))) {
        ++(vlSymsp->__Vcoverage[22]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffffffdULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 1U))))) 
                                                    << 1U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 2U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 2U))))) {
        ++(vlSymsp->__Vcoverage[23]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffffffbULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 2U))))) 
                                                    << 2U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 3U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 3U))))) {
        ++(vlSymsp->__Vcoverage[24]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffffff7ULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 3U))))) 
                                                    << 3U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 4U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 4U))))) {
        ++(vlSymsp->__Vcoverage[25]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffffffefULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 4U))))) 
                                                    << 4U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 5U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 5U))))) {
        ++(vlSymsp->__Vcoverage[26]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffffffdfULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 5U))))) 
                                                    << 5U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 6U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 6U))))) {
        ++(vlSymsp->__Vcoverage[27]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffffffbfULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 6U))))) 
                                                    << 6U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 7U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 7U))))) {
        ++(vlSymsp->__Vcoverage[28]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffffff7fULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 7U))))) 
                                                    << 7U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 8U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 8U))))) {
        ++(vlSymsp->__Vcoverage[29]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffffeffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 8U))))) 
                                                    << 8U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 9U)) ^ (IData)(
                                                      (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                       >> 9U))))) {
        ++(vlSymsp->__Vcoverage[30]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffffdffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 9U))))) 
                                                    << 9U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0xaU)) ^ (IData)(
                                                        (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                         >> 0xaU))))) {
        ++(vlSymsp->__Vcoverage[31]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffffbffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0xaU))))) 
                                                    << 0xaU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0xbU)) ^ (IData)(
                                                        (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                         >> 0xbU))))) {
        ++(vlSymsp->__Vcoverage[32]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffff7ffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0xbU))))) 
                                                    << 0xbU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0xcU)) ^ (IData)(
                                                        (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                         >> 0xcU))))) {
        ++(vlSymsp->__Vcoverage[33]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffffefffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0xcU))))) 
                                                    << 0xcU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0xdU)) ^ (IData)(
                                                        (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                         >> 0xdU))))) {
        ++(vlSymsp->__Vcoverage[34]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffffdfffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0xdU))))) 
                                                    << 0xdU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0xeU)) ^ (IData)(
                                                        (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                         >> 0xeU))))) {
        ++(vlSymsp->__Vcoverage[35]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffffbfffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0xeU))))) 
                                                    << 0xeU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0xfU)) ^ (IData)(
                                                        (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                         >> 0xfU))))) {
        ++(vlSymsp->__Vcoverage[36]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffff7fffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0xfU))))) 
                                                    << 0xfU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x10U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x10U))))) {
        ++(vlSymsp->__Vcoverage[37]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffeffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x10U))))) 
                                                    << 0x10U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x11U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x11U))))) {
        ++(vlSymsp->__Vcoverage[38]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffdffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x11U))))) 
                                                    << 0x11U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x12U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x12U))))) {
        ++(vlSymsp->__Vcoverage[39]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffffbffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x12U))))) 
                                                    << 0x12U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x13U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x13U))))) {
        ++(vlSymsp->__Vcoverage[40]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffff7ffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x13U))))) 
                                                    << 0x13U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x14U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x14U))))) {
        ++(vlSymsp->__Vcoverage[41]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffefffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x14U))))) 
                                                    << 0x14U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x15U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x15U))))) {
        ++(vlSymsp->__Vcoverage[42]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffdfffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x15U))))) 
                                                    << 0x15U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x16U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x16U))))) {
        ++(vlSymsp->__Vcoverage[43]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffffbfffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x16U))))) 
                                                    << 0x16U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x17U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x17U))))) {
        ++(vlSymsp->__Vcoverage[44]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffff7fffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x17U))))) 
                                                    << 0x17U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x18U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x18U))))) {
        ++(vlSymsp->__Vcoverage[45]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffeffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x18U))))) 
                                                    << 0x18U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x19U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x19U))))) {
        ++(vlSymsp->__Vcoverage[46]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffdffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x19U))))) 
                                                    << 0x19U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x1aU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x1aU))))) {
        ++(vlSymsp->__Vcoverage[47]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfffbffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x1aU))))) 
                                                    << 0x1aU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x1bU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x1bU))))) {
        ++(vlSymsp->__Vcoverage[48]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfff7ffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x1bU))))) 
                                                    << 0x1bU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x1cU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x1cU))))) {
        ++(vlSymsp->__Vcoverage[49]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffefffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x1cU))))) 
                                                    << 0x1cU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x1dU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x1dU))))) {
        ++(vlSymsp->__Vcoverage[50]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffdfffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x1dU))))) 
                                                    << 0x1dU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x1eU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x1eU))))) {
        ++(vlSymsp->__Vcoverage[51]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xffbfffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x1eU))))) 
                                                    << 0x1eU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x1fU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x1fU))))) {
        ++(vlSymsp->__Vcoverage[52]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xff7fffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x1fU))))) 
                                                    << 0x1fU));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x20U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x20U))))) {
        ++(vlSymsp->__Vcoverage[53]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfeffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x20U))))) 
                                                    << 0x20U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x21U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x21U))))) {
        ++(vlSymsp->__Vcoverage[54]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfdffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x21U))))) 
                                                    << 0x21U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x22U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x22U))))) {
        ++(vlSymsp->__Vcoverage[55]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xfbffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x22U))))) 
                                                    << 0x22U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x23U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x23U))))) {
        ++(vlSymsp->__Vcoverage[56]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xf7ffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x23U))))) 
                                                    << 0x23U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x24U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x24U))))) {
        ++(vlSymsp->__Vcoverage[57]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xefffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x24U))))) 
                                                    << 0x24U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x25U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x25U))))) {
        ++(vlSymsp->__Vcoverage[58]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xdfffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x25U))))) 
                                                    << 0x25U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x26U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x26U))))) {
        ++(vlSymsp->__Vcoverage[59]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0xbfffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x26U))))) 
                                                    << 0x26U));
    }
    if ((1U & ((IData)((vlTOPp->din >> 0x27U)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__din 
                                                          >> 0x27U))))) {
        ++(vlSymsp->__Vcoverage[60]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__din = ((0x7fffffffffULL 
                                                  & vlTOPp->CAMT8D32__DOT____Vtogcov__din) 
                                                 | ((QData)((IData)(
                                                                    (1U 
                                                                     & (IData)(
                                                                               (vlTOPp->din 
                                                                                >> 0x27U))))) 
                                                    << 0x27U));
    }
    vlTOPp->CAMT8D32__DOT__DO_IDLE = (1U & ((~ (IData)(vlTOPp->lock)) 
                                            & (~ (IData)(vlTOPp->unlock))));
    vlTOPp->CAMT8D32__DOT__DO_LOCK = ((IData)(vlTOPp->lock) 
                                      & (~ (IData)(vlTOPp->unlock)));
    vlTOPp->CAMT8D32__DOT__DO_UNLOCK = (((~ (IData)(vlTOPp->lock)) 
                                         & (IData)(vlTOPp->unlock)) 
                                        & (0xbabeU 
                                           == (IData)(vlTOPp->key)));
    if (((IData)(vlTOPp->CAMT8D32__DOT__DO_IDLE) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__DO_IDLE)) {
        ++(vlSymsp->__Vcoverage[107]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__DO_IDLE = vlTOPp->CAMT8D32__DOT__DO_IDLE;
    }
    if (((IData)(vlTOPp->CAMT8D32__DOT__DO_LOCK) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__DO_LOCK)) {
        ++(vlSymsp->__Vcoverage[108]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__DO_LOCK = vlTOPp->CAMT8D32__DOT__DO_LOCK;
    }
    if (((IData)(vlTOPp->CAMT8D32__DOT__DO_UNLOCK) 
         ^ vlTOPp->CAMT8D32__DOT____Vtogcov__DO_UNLOCK)) {
        ++(vlSymsp->__Vcoverage[110]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__DO_UNLOCK 
            = vlTOPp->CAMT8D32__DOT__DO_UNLOCK;
    }
}

VL_INLINE_OPT void VCAMT8D32::_sequent__TOP__3(VCAMT8D32__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCAMT8D32::_sequent__TOP__3\n"); );
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Variables
    CData/*3:0*/ __Vdlyvdim0__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0;
    CData/*0:0*/ __Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0;
    CData/*0:0*/ __Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v1;
    QData/*39:0*/ __Vdlyvval__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0;
    // Body
    __Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0 = 0U;
    __Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v1 = 0U;
    ++(vlSymsp->__Vcoverage[120]);
    if (VL_UNLIKELY((((((IData)(vlTOPp->lock) & (IData)(vlTOPp->unlock)) 
                       & (IData)(vlTOPp->rd)) & (IData)(vlTOPp->wr)) 
                     & (~ (IData)(vlTOPp->res_n))))) {
        VL_WRITEF("*-* All Finished *-*\n");
        ++(vlSymsp->__Vcoverage[118]);
        VL_FINISH_MT("CAMT8D32.sv", 100, "");
    } else {
        ++(vlSymsp->__Vcoverage[119]);
    }
    if (vlTOPp->res_n) {
        ++(vlSymsp->__Vcoverage[116]);
        vlTOPp->CAMT8D32__DOT__STATE = vlTOPp->CAMT8D32__DOT__NEXT_STATE;
    } else {
        ++(vlSymsp->__Vcoverage[117]);
        vlTOPp->CAMT8D32__DOT__STATE = 1U;
    }
    ++(vlSymsp->__Vcoverage[247]);
    if (vlTOPp->res_n) {
        ++(vlSymsp->__Vcoverage[245]);
        if (((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr) 
             & (~ (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd)))) {
            ++(vlSymsp->__Vcoverage[243]);
            __Vdlyvval__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0 
                = vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data;
            __Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0 = 1U;
            __Vdlyvdim0__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0 
                = vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD;
            vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD 
                = vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD_PLUS_1;
        } else {
            ++(vlSymsp->__Vcoverage[244]);
        }
    } else {
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[254]);
        ++(vlSymsp->__Vcoverage[255]);
        ++(vlSymsp->__Vcoverage[246]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD = 0U;
        __Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v1 = 1U;
    }
    if (__Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0) {
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[__Vdlyvdim0__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0] 
            = __Vdlyvval__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v0;
    }
    if (__Vdlyvset__CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY__v1) {
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[0U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[1U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[2U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[3U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[4U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[5U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[6U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[7U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[8U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[9U] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[0xaU] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[0xbU] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[0xcU] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[0xdU] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[0xeU] = 0ULL;
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY[0xfU] = 0ULL;
    }
    if (((IData)(vlTOPp->CAMT8D32__DOT__STATE) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__STATE)) {
        ++(vlSymsp->__Vcoverage[104]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__STATE = vlTOPp->CAMT8D32__DOT__STATE;
    }
    vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD_PLUS_1 
        = (0xfU & ((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)));
    if ((1U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[217]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD 
            = ((0xeU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD)) 
               | (1U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)));
    }
    if ((2U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[218]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD 
            = ((0xdU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD)) 
               | (2U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)));
    }
    if ((4U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[219]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD 
            = ((0xbU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD)) 
               | (4U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)));
    }
    if ((8U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD))) {
        ++(vlSymsp->__Vcoverage[220]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD 
            = ((7U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD)) 
               | (8U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)));
    }
    if ((1U & (((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1))) {
        ++(vlSymsp->__Vcoverage[221]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1 
            = ((0xeU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (1U & ((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD))));
    }
    if ((1U & ((7U & (((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)) 
                      >> 1U)) ^ (vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1 
                                 >> 1U)))) {
        ++(vlSymsp->__Vcoverage[222]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1 
            = ((0xdU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (2U & ((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD))));
    }
    if ((1U & ((3U & (((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)) 
                      >> 2U)) ^ (vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1 
                                 >> 2U)))) {
        ++(vlSymsp->__Vcoverage[223]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1 
            = ((0xbU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (4U & ((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD))));
    }
    if ((1U & ((1U & (((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD)) 
                      >> 3U)) ^ (vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1 
                                 >> 3U)))) {
        ++(vlSymsp->__Vcoverage[224]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1 
            = ((7U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__HEAD_PLUS_1)) 
               | (8U & ((IData)(1U) + (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__HEAD))));
    }
}

VL_INLINE_OPT void VCAMT8D32::_combo__TOP__5(VCAMT8D32__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCAMT8D32::_combo__TOP__5\n"); );
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    vlTOPp->CAMT8D32__DOT__DO_READ_CAM = (((~ (IData)(vlTOPp->CAMT8D32__DOT__STATE)) 
                                           & (IData)(vlTOPp->rd)) 
                                          & (~ (IData)(vlTOPp->wr)));
    vlTOPp->CAMT8D32__DOT__DO_WRITE_CAM = (((~ (IData)(vlTOPp->CAMT8D32__DOT__STATE)) 
                                            & (IData)(vlTOPp->wr)) 
                                           & (~ (IData)(vlTOPp->rd)));
    if (((IData)(vlTOPp->CAMT8D32__DOT__DO_READ_CAM) 
         ^ vlTOPp->CAMT8D32__DOT____Vtogcov__DO_READ_CAM)) {
        ++(vlSymsp->__Vcoverage[109]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__DO_READ_CAM 
            = vlTOPp->CAMT8D32__DOT__DO_READ_CAM;
    }
    if (((IData)(vlTOPp->CAMT8D32__DOT__DO_WRITE_CAM) 
         ^ vlTOPp->CAMT8D32__DOT____Vtogcov__DO_WRITE_CAM)) {
        ++(vlSymsp->__Vcoverage[111]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__DO_WRITE_CAM 
            = vlTOPp->CAMT8D32__DOT__DO_WRITE_CAM;
    }
    ++(vlSymsp->__Vcoverage[216]);
    ++(vlSymsp->__Vcoverage[131]);
    vlTOPp->dout = 0ULL;
    vlTOPp->locked = vlTOPp->CAMT8D32__DOT__STATE;
    if (VL_UNLIKELY((1U & (~ VL_ONEHOT_I(((2U & ((~ (IData)(vlTOPp->CAMT8D32__DOT__STATE)) 
                                                 << 1U)) 
                                          | (IData)(vlTOPp->CAMT8D32__DOT__STATE))))))) {
        if (VL_UNLIKELY(Verilated::assertOn())) {
            VL_WRITEF("[%0t] %%Error: CAMT8D32.sv:123: Assertion failed in %NCAMT8D32: synthesis parallel_case, but multiple matches found\n",
                      64,VL_TIME_UNITED_Q(1),vlSymsp->name());
            VL_STOP_MT("CAMT8D32.sv", 123, "");
        }
    }
    vlTOPp->dout_val = 0U;
    vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd = 0U;
    vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr = 0U;
    vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data = 0ULL;
    vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data = 0ULL;
    if (vlTOPp->CAMT8D32__DOT__STATE) {
        ++(vlSymsp->__Vcoverage[125]);
        if (vlTOPp->CAMT8D32__DOT__DO_UNLOCK) {
            ++(vlSymsp->__Vcoverage[121]);
            vlTOPp->CAMT8D32__DOT__NEXT_STATE = 0U;
        } else {
            ++(vlSymsp->__Vcoverage[122]);
        }
        if (vlTOPp->CAMT8D32__DOT__DO_UNLOCK) {
            ++(vlSymsp->__Vcoverage[124]);
        } else {
            ++(vlSymsp->__Vcoverage[123]);
            vlTOPp->CAMT8D32__DOT__NEXT_STATE = 1U;
        }
    } else {
        if ((1U & (~ (IData)(vlTOPp->CAMT8D32__DOT__STATE)))) {
            ++(vlSymsp->__Vcoverage[130]);
            if (vlTOPp->CAMT8D32__DOT__DO_IDLE) {
                vlTOPp->__Vtask_CAMT8D32__DOT__PUSH_T8D32_CAM__1__write 
                    = vlTOPp->CAMT8D32__DOT__DO_WRITE_CAM;
                ++(vlSymsp->__Vcoverage[215]);
                vlTOPp->__Vfunc_CAMT8D32__DOT__POP_T8D32_CAM__2__read_data 
                    = vlTOPp->din;
                vlTOPp->__Vfunc_CAMT8D32__DOT__POP_T8D32_CAM__2__read 
                    = vlTOPp->CAMT8D32__DOT__DO_READ_CAM;
                vlTOPp->__Vfunc_CAMT8D32__DOT__POP_T8D32_CAM__2__Vfuncout 
                    = vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data;
                ++(vlSymsp->__Vcoverage[173]);
                ++(vlSymsp->__Vcoverage[126]);
                vlTOPp->CAMT8D32__DOT__NEXT_STATE = 0U;
                vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr 
                    = vlTOPp->__Vtask_CAMT8D32__DOT__PUSH_T8D32_CAM__1__write;
                vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd 
                    = vlTOPp->__Vfunc_CAMT8D32__DOT__POP_T8D32_CAM__2__read;
                vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                    = vlTOPp->__Vfunc_CAMT8D32__DOT__POP_T8D32_CAM__2__read_data;
                vlTOPp->dout = vlTOPp->__Vfunc_CAMT8D32__DOT__POP_T8D32_CAM__2__Vfuncout;
                vlTOPp->dout_val = vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit;
            } else {
                ++(vlSymsp->__Vcoverage[127]);
            }
            if (vlTOPp->CAMT8D32__DOT__DO_LOCK) {
                ++(vlSymsp->__Vcoverage[128]);
                vlTOPp->CAMT8D32__DOT__NEXT_STATE = 1U;
            } else {
                ++(vlSymsp->__Vcoverage[129]);
            }
        }
    }
    if (((IData)(vlTOPp->locked) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__locked)) {
        ++(vlSymsp->__Vcoverage[103]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__locked = vlTOPp->locked;
    }
    if (((IData)(vlTOPp->dout_val) ^ vlTOPp->CAMT8D32__DOT____Vtogcov__dout_val)) {
        ++(vlSymsp->__Vcoverage[62]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout_val 
            = vlTOPp->dout_val;
    }
    if (((IData)(vlTOPp->CAMT8D32__DOT__NEXT_STATE) 
         ^ vlTOPp->CAMT8D32__DOT____Vtogcov__NEXT_STATE)) {
        ++(vlSymsp->__Vcoverage[105]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__NEXT_STATE 
            = vlTOPp->CAMT8D32__DOT__NEXT_STATE;
    }
    if ((1U & ((IData)(vlTOPp->dout) ^ (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__dout)))) {
        ++(vlSymsp->__Vcoverage[63]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffffffeULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | (IData)((IData)(
                                                                    (1U 
                                                                     & (IData)(vlTOPp->dout)))));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 1U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 1U))))) {
        ++(vlSymsp->__Vcoverage[64]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffffffdULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 1U))))) 
                                                     << 1U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 2U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 2U))))) {
        ++(vlSymsp->__Vcoverage[65]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffffffbULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 2U))))) 
                                                     << 2U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 3U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 3U))))) {
        ++(vlSymsp->__Vcoverage[66]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffffff7ULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 3U))))) 
                                                     << 3U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 4U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 4U))))) {
        ++(vlSymsp->__Vcoverage[67]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffffffefULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 4U))))) 
                                                     << 4U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 5U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 5U))))) {
        ++(vlSymsp->__Vcoverage[68]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffffffdfULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 5U))))) 
                                                     << 5U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 6U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 6U))))) {
        ++(vlSymsp->__Vcoverage[69]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffffffbfULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 6U))))) 
                                                     << 6U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 7U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 7U))))) {
        ++(vlSymsp->__Vcoverage[70]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffffff7fULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 7U))))) 
                                                     << 7U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 8U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 8U))))) {
        ++(vlSymsp->__Vcoverage[71]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffffeffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 8U))))) 
                                                     << 8U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 9U)) ^ (IData)(
                                                       (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                        >> 9U))))) {
        ++(vlSymsp->__Vcoverage[72]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffffdffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 9U))))) 
                                                     << 9U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0xaU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                          >> 0xaU))))) {
        ++(vlSymsp->__Vcoverage[73]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffffbffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0xaU))))) 
                                                     << 0xaU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0xbU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                          >> 0xbU))))) {
        ++(vlSymsp->__Vcoverage[74]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffff7ffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0xbU))))) 
                                                     << 0xbU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0xcU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                          >> 0xcU))))) {
        ++(vlSymsp->__Vcoverage[75]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffffefffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0xcU))))) 
                                                     << 0xcU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0xdU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                          >> 0xdU))))) {
        ++(vlSymsp->__Vcoverage[76]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffffdfffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0xdU))))) 
                                                     << 0xdU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0xeU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                          >> 0xeU))))) {
        ++(vlSymsp->__Vcoverage[77]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffffbfffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0xeU))))) 
                                                     << 0xeU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0xfU)) ^ (IData)(
                                                         (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                          >> 0xfU))))) {
        ++(vlSymsp->__Vcoverage[78]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffff7fffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0xfU))))) 
                                                     << 0xfU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x10U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x10U))))) {
        ++(vlSymsp->__Vcoverage[79]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffeffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x10U))))) 
                                                     << 0x10U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x11U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x11U))))) {
        ++(vlSymsp->__Vcoverage[80]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffdffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x11U))))) 
                                                     << 0x11U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x12U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x12U))))) {
        ++(vlSymsp->__Vcoverage[81]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffffbffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x12U))))) 
                                                     << 0x12U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x13U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x13U))))) {
        ++(vlSymsp->__Vcoverage[82]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffff7ffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x13U))))) 
                                                     << 0x13U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x14U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x14U))))) {
        ++(vlSymsp->__Vcoverage[83]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffefffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x14U))))) 
                                                     << 0x14U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x15U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x15U))))) {
        ++(vlSymsp->__Vcoverage[84]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffdfffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x15U))))) 
                                                     << 0x15U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x16U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x16U))))) {
        ++(vlSymsp->__Vcoverage[85]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffffbfffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x16U))))) 
                                                     << 0x16U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x17U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x17U))))) {
        ++(vlSymsp->__Vcoverage[86]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffff7fffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x17U))))) 
                                                     << 0x17U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x18U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x18U))))) {
        ++(vlSymsp->__Vcoverage[87]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffeffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x18U))))) 
                                                     << 0x18U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x19U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x19U))))) {
        ++(vlSymsp->__Vcoverage[88]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffdffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x19U))))) 
                                                     << 0x19U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x1aU)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x1aU))))) {
        ++(vlSymsp->__Vcoverage[89]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfffbffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x1aU))))) 
                                                     << 0x1aU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x1bU)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x1bU))))) {
        ++(vlSymsp->__Vcoverage[90]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfff7ffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x1bU))))) 
                                                     << 0x1bU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x1cU)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x1cU))))) {
        ++(vlSymsp->__Vcoverage[91]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffefffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x1cU))))) 
                                                     << 0x1cU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x1dU)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x1dU))))) {
        ++(vlSymsp->__Vcoverage[92]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffdfffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x1dU))))) 
                                                     << 0x1dU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x1eU)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x1eU))))) {
        ++(vlSymsp->__Vcoverage[93]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xffbfffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x1eU))))) 
                                                     << 0x1eU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x1fU)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x1fU))))) {
        ++(vlSymsp->__Vcoverage[94]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xff7fffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x1fU))))) 
                                                     << 0x1fU));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x20U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x20U))))) {
        ++(vlSymsp->__Vcoverage[95]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfeffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x20U))))) 
                                                     << 0x20U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x21U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x21U))))) {
        ++(vlSymsp->__Vcoverage[96]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfdffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x21U))))) 
                                                     << 0x21U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x22U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x22U))))) {
        ++(vlSymsp->__Vcoverage[97]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xfbffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x22U))))) 
                                                     << 0x22U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x23U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x23U))))) {
        ++(vlSymsp->__Vcoverage[98]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xf7ffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x23U))))) 
                                                     << 0x23U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x24U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x24U))))) {
        ++(vlSymsp->__Vcoverage[99]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xefffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x24U))))) 
                                                     << 0x24U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x25U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x25U))))) {
        ++(vlSymsp->__Vcoverage[100]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xdfffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x25U))))) 
                                                     << 0x25U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x26U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x26U))))) {
        ++(vlSymsp->__Vcoverage[101]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0xbfffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x26U))))) 
                                                     << 0x26U));
    }
    if ((1U & ((IData)((vlTOPp->dout >> 0x27U)) ^ (IData)(
                                                          (vlTOPp->CAMT8D32__DOT____Vtogcov__dout 
                                                           >> 0x27U))))) {
        ++(vlSymsp->__Vcoverage[102]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__dout = ((0x7fffffffffULL 
                                                   & vlTOPp->CAMT8D32__DOT____Vtogcov__dout) 
                                                  | ((QData)((IData)(
                                                                     (1U 
                                                                      & (IData)(
                                                                                (vlTOPp->dout 
                                                                                >> 0x27U))))) 
                                                     << 0x27U));
    }
    if ((1U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data) 
               ^ (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data)))) {
        ++(vlSymsp->__Vcoverage[175]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffffffeULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | (IData)((IData)((1U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data)))));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 1U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 1U))))) {
        ++(vlSymsp->__Vcoverage[176]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffffffdULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 1U))))) 
                  << 1U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 2U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 2U))))) {
        ++(vlSymsp->__Vcoverage[177]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffffffbULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 2U))))) 
                  << 2U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 3U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 3U))))) {
        ++(vlSymsp->__Vcoverage[178]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffffff7ULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 3U))))) 
                  << 3U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 4U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 4U))))) {
        ++(vlSymsp->__Vcoverage[179]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffffffefULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 4U))))) 
                  << 4U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 5U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 5U))))) {
        ++(vlSymsp->__Vcoverage[180]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffffffdfULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 5U))))) 
                  << 5U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 6U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 6U))))) {
        ++(vlSymsp->__Vcoverage[181]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffffffbfULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 6U))))) 
                  << 6U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 7U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 7U))))) {
        ++(vlSymsp->__Vcoverage[182]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffffff7fULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 7U))))) 
                  << 7U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 8U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 8U))))) {
        ++(vlSymsp->__Vcoverage[183]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffffeffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 8U))))) 
                  << 8U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 9U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                           >> 9U))))) {
        ++(vlSymsp->__Vcoverage[184]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffffdffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 9U))))) 
                  << 9U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0xaU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                             >> 0xaU))))) {
        ++(vlSymsp->__Vcoverage[185]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffffbffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0xaU))))) 
                  << 0xaU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0xbU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                             >> 0xbU))))) {
        ++(vlSymsp->__Vcoverage[186]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffff7ffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0xbU))))) 
                  << 0xbU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0xcU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                             >> 0xcU))))) {
        ++(vlSymsp->__Vcoverage[187]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffffefffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0xcU))))) 
                  << 0xcU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0xdU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                             >> 0xdU))))) {
        ++(vlSymsp->__Vcoverage[188]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffffdfffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0xdU))))) 
                  << 0xdU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0xeU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                             >> 0xeU))))) {
        ++(vlSymsp->__Vcoverage[189]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffffbfffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0xeU))))) 
                  << 0xeU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0xfU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                             >> 0xfU))))) {
        ++(vlSymsp->__Vcoverage[190]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffff7fffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0xfU))))) 
                  << 0xfU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x10U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x10U))))) {
        ++(vlSymsp->__Vcoverage[191]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffeffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x10U))))) 
                  << 0x10U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x11U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x11U))))) {
        ++(vlSymsp->__Vcoverage[192]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffdffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x11U))))) 
                  << 0x11U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x12U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x12U))))) {
        ++(vlSymsp->__Vcoverage[193]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffffbffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x12U))))) 
                  << 0x12U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x13U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x13U))))) {
        ++(vlSymsp->__Vcoverage[194]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffff7ffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x13U))))) 
                  << 0x13U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x14U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x14U))))) {
        ++(vlSymsp->__Vcoverage[195]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffefffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x14U))))) 
                  << 0x14U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x15U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x15U))))) {
        ++(vlSymsp->__Vcoverage[196]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffdfffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x15U))))) 
                  << 0x15U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x16U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x16U))))) {
        ++(vlSymsp->__Vcoverage[197]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffffbfffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x16U))))) 
                  << 0x16U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x17U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x17U))))) {
        ++(vlSymsp->__Vcoverage[198]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffff7fffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x17U))))) 
                  << 0x17U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x18U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x18U))))) {
        ++(vlSymsp->__Vcoverage[199]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffeffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x18U))))) 
                  << 0x18U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x19U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x19U))))) {
        ++(vlSymsp->__Vcoverage[200]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffdffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x19U))))) 
                  << 0x19U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x1aU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x1aU))))) {
        ++(vlSymsp->__Vcoverage[201]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfffbffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x1aU))))) 
                  << 0x1aU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x1bU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x1bU))))) {
        ++(vlSymsp->__Vcoverage[202]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfff7ffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x1bU))))) 
                  << 0x1bU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x1cU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x1cU))))) {
        ++(vlSymsp->__Vcoverage[203]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffefffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x1cU))))) 
                  << 0x1cU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x1dU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x1dU))))) {
        ++(vlSymsp->__Vcoverage[204]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffdfffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x1dU))))) 
                  << 0x1dU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x1eU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x1eU))))) {
        ++(vlSymsp->__Vcoverage[205]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xffbfffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x1eU))))) 
                  << 0x1eU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x1fU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x1fU))))) {
        ++(vlSymsp->__Vcoverage[206]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xff7fffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x1fU))))) 
                  << 0x1fU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x20U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x20U))))) {
        ++(vlSymsp->__Vcoverage[207]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfeffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x20U))))) 
                  << 0x20U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x21U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x21U))))) {
        ++(vlSymsp->__Vcoverage[208]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfdffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x21U))))) 
                  << 0x21U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x22U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x22U))))) {
        ++(vlSymsp->__Vcoverage[209]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xfbffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x22U))))) 
                  << 0x22U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x23U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x23U))))) {
        ++(vlSymsp->__Vcoverage[210]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xf7ffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x23U))))) 
                  << 0x23U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x24U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x24U))))) {
        ++(vlSymsp->__Vcoverage[211]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xefffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x24U))))) 
                  << 0x24U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x25U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x25U))))) {
        ++(vlSymsp->__Vcoverage[212]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xdfffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x25U))))) 
                  << 0x25U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x26U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x26U))))) {
        ++(vlSymsp->__Vcoverage[213]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0xbfffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x26U))))) 
                  << 0x26U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                        >> 0x27U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
                                              >> 0x27U))))) {
        ++(vlSymsp->__Vcoverage[214]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data 
            = ((0x7fffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                                 >> 0x27U))))) 
                  << 0x27U));
    }
    if (((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd) 
         ^ vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd)) {
        ++(vlSymsp->__Vcoverage[132]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd 
            = vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd;
    }
    if (((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr) 
         ^ vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr)) {
        ++(vlSymsp->__Vcoverage[174]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_wr 
            = vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr;
    }
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[248]);
    ++(vlSymsp->__Vcoverage[249]);
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xfffeU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | ((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                [0U] >> 0x20U))) == 
              (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                >> 0x20U)))));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xfffdU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [1U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 1U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xfffbU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [2U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 2U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xfff7U & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [3U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 3U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xffefU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [4U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 4U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xffdfU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [5U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 5U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xffbfU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [6U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 6U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xff7fU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [7U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 7U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xfeffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [8U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 8U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xfdffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [9U] >> 0x20U))) == 
               (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                 >> 0x20U)))) << 9U));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xfbffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [0xaU] >> 0x20U))) 
               == (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                    >> 0x20U)))) << 0xaU));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xf7ffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [0xbU] >> 0x20U))) 
               == (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                    >> 0x20U)))) << 0xbU));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xefffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [0xcU] >> 0x20U))) 
               == (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                    >> 0x20U)))) << 0xcU));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xdfffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [0xdU] >> 0x20U))) 
               == (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                    >> 0x20U)))) << 0xdU));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0xbfffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [0xeU] >> 0x20U))) 
               == (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                    >> 0x20U)))) << 0xeU));
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout 
        = ((0x7fffU & (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)) 
           | (((0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                                 [0xfU] >> 0x20U))) 
               == (0xffU & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr_data 
                                    >> 0x20U)))) << 0xfU));
    vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare 
        = ((((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd) 
             & (~ (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr))) 
            & (IData)(vlTOPp->res_n)) ? (IData)(vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__compare_fcn__3__Vfuncout)
            : 0U);
    if ((1U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[225]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xfffeU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (1U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((2U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[226]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xfffdU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (2U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((4U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[227]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xfffbU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (4U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((8U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
               ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[228]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xfff7U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (8U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x10U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                  ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[229]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xffefU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x10U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x20U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                  ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[230]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xffdfU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x20U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x40U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                  ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[231]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xffbfU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x40U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x80U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                  ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[232]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xff7fU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x80U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x100U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                   ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[233]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xfeffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x100U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x200U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                   ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[234]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xfdffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x200U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x400U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                   ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[235]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xfbffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x400U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x800U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                   ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[236]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xf7ffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x800U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x1000U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                    ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[237]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xefffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x1000U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x2000U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                    ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[238]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xdfffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x2000U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x4000U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                    ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[239]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0xbfffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x4000U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    if ((0x8000U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                    ^ vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare))) {
        ++(vlSymsp->__Vcoverage[240]);
        vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare 
            = ((0x7fffU & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT____Vtogcov__compare)) 
               | (0x8000U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare)));
    }
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__Vfuncout = 0ULL;
    vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit = 0U;
    vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__unnamedblk3__DOT__i = 0U;
    {
        while (VL_GTS_III(1,32,32, 0x10U, vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__unnamedblk3__DOT__i)) {
            if ((1U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                       >> (0xfU & vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__unnamedblk3__DOT__i)))) {
                vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__Vfuncout 
                    = vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__MEMORY
                    [(0xfU & vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__unnamedblk3__DOT__i)];
                vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit 
                    = (((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd) 
                        & (~ (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr))) 
                       & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM__DOT__compare) 
                          >> (0xfU & vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__unnamedblk3__DOT__i)));
                goto __Vlabel1;
            } else {
                ++(vlSymsp->__Vcoverage[251]);
            }
            ++(vlSymsp->__Vcoverage[252]);
            vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__unnamedblk3__DOT__i 
                = ((IData)(1U) + vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__unnamedblk3__DOT__i);
        }
        __Vlabel1: ;
    }
    ++(vlSymsp->__Vcoverage[253]);
    vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data = ((((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd) 
                                                  & (~ (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_wr))) 
                                                 & (IData)(vlTOPp->res_n))
                                                 ? vlTOPp->__Vfunc_CAMT8D32__DOT__T8D32_CAM__DOT__read_fcn__4__Vfuncout
                                                 : 0ULL);
    if ((1U & ((IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data) 
               ^ (IData)(vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data)))) {
        ++(vlSymsp->__Vcoverage[133]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffffffeULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | (IData)((IData)((1U & (IData)(vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data)))));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 1U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 1U))))) {
        ++(vlSymsp->__Vcoverage[134]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffffffdULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 1U))))) 
                  << 1U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 2U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 2U))))) {
        ++(vlSymsp->__Vcoverage[135]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffffffbULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 2U))))) 
                  << 2U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 3U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 3U))))) {
        ++(vlSymsp->__Vcoverage[136]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffffff7ULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 3U))))) 
                  << 3U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 4U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 4U))))) {
        ++(vlSymsp->__Vcoverage[137]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffffffefULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 4U))))) 
                  << 4U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 5U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 5U))))) {
        ++(vlSymsp->__Vcoverage[138]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffffffdfULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 5U))))) 
                  << 5U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 6U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 6U))))) {
        ++(vlSymsp->__Vcoverage[139]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffffffbfULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 6U))))) 
                  << 6U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 7U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 7U))))) {
        ++(vlSymsp->__Vcoverage[140]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffffff7fULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 7U))))) 
                  << 7U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 8U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 8U))))) {
        ++(vlSymsp->__Vcoverage[141]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffffeffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 8U))))) 
                  << 8U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 9U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                           >> 9U))))) {
        ++(vlSymsp->__Vcoverage[142]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffffdffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 9U))))) 
                  << 9U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0xaU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                             >> 0xaU))))) {
        ++(vlSymsp->__Vcoverage[143]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffffbffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0xaU))))) 
                  << 0xaU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0xbU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                             >> 0xbU))))) {
        ++(vlSymsp->__Vcoverage[144]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffff7ffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0xbU))))) 
                  << 0xbU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0xcU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                             >> 0xcU))))) {
        ++(vlSymsp->__Vcoverage[145]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffffefffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0xcU))))) 
                  << 0xcU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0xdU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                             >> 0xdU))))) {
        ++(vlSymsp->__Vcoverage[146]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffffdfffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0xdU))))) 
                  << 0xdU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0xeU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                             >> 0xeU))))) {
        ++(vlSymsp->__Vcoverage[147]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffffbfffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0xeU))))) 
                  << 0xeU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0xfU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                             >> 0xfU))))) {
        ++(vlSymsp->__Vcoverage[148]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffff7fffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0xfU))))) 
                  << 0xfU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x10U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x10U))))) {
        ++(vlSymsp->__Vcoverage[149]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffeffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x10U))))) 
                  << 0x10U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x11U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x11U))))) {
        ++(vlSymsp->__Vcoverage[150]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffdffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x11U))))) 
                  << 0x11U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x12U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x12U))))) {
        ++(vlSymsp->__Vcoverage[151]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffffbffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x12U))))) 
                  << 0x12U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x13U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x13U))))) {
        ++(vlSymsp->__Vcoverage[152]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffff7ffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x13U))))) 
                  << 0x13U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x14U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x14U))))) {
        ++(vlSymsp->__Vcoverage[153]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffefffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x14U))))) 
                  << 0x14U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x15U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x15U))))) {
        ++(vlSymsp->__Vcoverage[154]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffdfffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x15U))))) 
                  << 0x15U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x16U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x16U))))) {
        ++(vlSymsp->__Vcoverage[155]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffffbfffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x16U))))) 
                  << 0x16U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x17U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x17U))))) {
        ++(vlSymsp->__Vcoverage[156]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffff7fffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x17U))))) 
                  << 0x17U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x18U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x18U))))) {
        ++(vlSymsp->__Vcoverage[157]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffeffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x18U))))) 
                  << 0x18U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x19U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x19U))))) {
        ++(vlSymsp->__Vcoverage[158]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffdffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x19U))))) 
                  << 0x19U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x1aU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x1aU))))) {
        ++(vlSymsp->__Vcoverage[159]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfffbffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x1aU))))) 
                  << 0x1aU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x1bU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x1bU))))) {
        ++(vlSymsp->__Vcoverage[160]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfff7ffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x1bU))))) 
                  << 0x1bU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x1cU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x1cU))))) {
        ++(vlSymsp->__Vcoverage[161]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffefffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x1cU))))) 
                  << 0x1cU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x1dU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x1dU))))) {
        ++(vlSymsp->__Vcoverage[162]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffdfffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x1dU))))) 
                  << 0x1dU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x1eU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x1eU))))) {
        ++(vlSymsp->__Vcoverage[163]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xffbfffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x1eU))))) 
                  << 0x1eU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x1fU)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x1fU))))) {
        ++(vlSymsp->__Vcoverage[164]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xff7fffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x1fU))))) 
                  << 0x1fU));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x20U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x20U))))) {
        ++(vlSymsp->__Vcoverage[165]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfeffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x20U))))) 
                  << 0x20U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x21U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x21U))))) {
        ++(vlSymsp->__Vcoverage[166]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfdffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x21U))))) 
                  << 0x21U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x22U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x22U))))) {
        ++(vlSymsp->__Vcoverage[167]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xfbffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x22U))))) 
                  << 0x22U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x23U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x23U))))) {
        ++(vlSymsp->__Vcoverage[168]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xf7ffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x23U))))) 
                  << 0x23U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x24U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x24U))))) {
        ++(vlSymsp->__Vcoverage[169]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xefffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x24U))))) 
                  << 0x24U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x25U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x25U))))) {
        ++(vlSymsp->__Vcoverage[170]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xdfffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x25U))))) 
                  << 0x25U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x26U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x26U))))) {
        ++(vlSymsp->__Vcoverage[171]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0xbfffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x26U))))) 
                  << 0x26U));
    }
    if ((1U & ((IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                        >> 0x27U)) ^ (IData)((vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
                                              >> 0x27U))))) {
        ++(vlSymsp->__Vcoverage[172]);
        vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data 
            = ((0x7fffffffffULL & vlTOPp->CAMT8D32__DOT____Vtogcov__T8D32_CAM_rd_data) 
               | ((QData)((IData)((1U & (IData)((vlTOPp->CAMT8D32__DOT__T8D32_CAM_rd_data 
                                                 >> 0x27U))))) 
                  << 0x27U));
    }
}

void VCAMT8D32::_eval(VCAMT8D32__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCAMT8D32::_eval\n"); );
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    vlTOPp->_combo__TOP__1(vlSymsp);
    vlTOPp->__Vm_traceActivity[1U] = 1U;
    if (((IData)(vlTOPp->clk) & (~ (IData)(vlTOPp->__Vclklast__TOP__clk)))) {
        vlTOPp->_sequent__TOP__3(vlSymsp);
        vlTOPp->__Vm_traceActivity[2U] = 1U;
    }
    vlTOPp->_combo__TOP__5(vlSymsp);
    // Final
    vlTOPp->__Vclklast__TOP__clk = vlTOPp->clk;
}

VL_INLINE_OPT QData VCAMT8D32::_change_request(VCAMT8D32__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCAMT8D32::_change_request\n"); );
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    return (vlTOPp->_change_request_1(vlSymsp));
}

VL_INLINE_OPT QData VCAMT8D32::_change_request_1(VCAMT8D32__Syms* __restrict vlSymsp) {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCAMT8D32::_change_request_1\n"); );
    VCAMT8D32* const __restrict vlTOPp VL_ATTR_UNUSED = vlSymsp->TOPp;
    // Body
    // Change detection
    QData __req = false;  // Logically a bool
    __req |= ((vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit ^ vlTOPp->__Vchglast__TOP__CAMT8D32__DOT__T8D32_CAM_hit));
    VL_DEBUG_IF( if(__req && ((vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit ^ vlTOPp->__Vchglast__TOP__CAMT8D32__DOT__T8D32_CAM_hit))) VL_DBG_MSGF("        CHANGE: CAMT8D32.sv:51: CAMT8D32.T8D32_CAM_hit\n"); );
    // Final
    vlTOPp->__Vchglast__TOP__CAMT8D32__DOT__T8D32_CAM_hit 
        = vlTOPp->CAMT8D32__DOT__T8D32_CAM_hit;
    return __req;
}

#ifdef VL_DEBUG
void VCAMT8D32::_eval_debug_assertions() {
    VL_DEBUG_IF(VL_DBG_MSGF("+    VCAMT8D32::_eval_debug_assertions\n"); );
    // Body
    if (VL_UNLIKELY((clk & 0xfeU))) {
        Verilated::overWidthError("clk");}
    if (VL_UNLIKELY((res_n & 0xfeU))) {
        Verilated::overWidthError("res_n");}
    if (VL_UNLIKELY((lock & 0xfeU))) {
        Verilated::overWidthError("lock");}
    if (VL_UNLIKELY((unlock & 0xfeU))) {
        Verilated::overWidthError("unlock");}
    if (VL_UNLIKELY((wr & 0xfeU))) {
        Verilated::overWidthError("wr");}
    if (VL_UNLIKELY((din & 0ULL))) {
        Verilated::overWidthError("din");}
    if (VL_UNLIKELY((rd & 0xfeU))) {
        Verilated::overWidthError("rd");}
}
#endif  // VL_DEBUG
